<!DOCTYPE html>
<html lang=ja>

<head>
  <meta charset="utf-8">
  <title>Personal library</title>
  <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
  <script src="./app.js "></script>
</head>

<body>
  <div class="container">
    <div class="row">
      <div class="col-xs-12 col-sm-12">
        <h1 class="text-center">Personal library</h1>
        <hr/>
        <br/>
      </div>
    </div>
    <div class="row">
      <div id="addBook" class="col-sm-3">
        <button class="btn btn-primary" type="button" data-id="0" data-toggle="modal" data-target="#addBookModal">本を追加する</button>
      </div>
      <div id="addUser" class="col-sm-9">
        <button class="btn btn-primary" type="button" data-id="0" data-toggle="modal" data-target="#addUserModal">利用登録する</button>
      </div>
    </div>

    <hr/>

    <div id="booksRow" class="row">
      <!-- BOOKS LOAD HERE -->
    </div>
  </div>

  <!-- BOOK TEMPLATE -->
  <div id="bookTemplate" style="display: none;">
    <div class="col-sm-6 col-md-4 col-lg-3">
      <div class="card card-default card-book">
        <div class="card-header book-title">Scrappy</div>
        <div class="card-body">
          <img alt="140x140" data-src="holder.js/140x140" class="img-rounded img-center" style="width: 100%;" src="https://animalso.com/wp-content/uploads/2017/01/Golden-Retriever_6.jpg"
            data-holder-rendered="true">
          <br/>
          <br/>
          <strong>Author</strong>:
          <span class="book-author"></span>
          <br/>
          <strong>PreviewLink</strong>:
          <a href="" class="book-previewLink">This book Link</a>
          <br/>
          <strong>Who's Book</strong>:
          <span class="book-lend"></span>
          <br/>
          <br/>
          <button class="btn btn-primary btn-rent" type="button" data-id="0">Rent</button>
          <button class="btn btn-secondary btn-return" type="button" data-id="0">Return</button>
        </div>
      </div>
    </div>
  </div>

  <!-- addBookModal * -->
  <div class="modal fade" id="addBookModal" tabindex="-1" role="dialog" aria-labelledby="addBookModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="addBookModalLabel">本を追加する
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </h5>
        </div>
        <div class="modal-body">
          <form>
            <div class="form-group">
              <label for="InputBookISBN">ISBNを入力してください</label>
              <input type="number" class="form-control" id="InputBookISBN" placeholder="0000000000">
              <label for="InputBookTitle">タイトル</label>
              <input type="text" class="form-control" id="InputBookTitle" placeholder="ISBNを入力すると表示されます" disabled>
            </div>
          </form>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">閉じる</button>
          <button type="button" class="btn btn-info btn-sendISBN">ISBNを送信する</button>
          <button type="button" class="btn btn-primary btn-addbook" disabled>登録する</button>
        </div>
      </div>
    </div>
  </div>
  <!-- * addBookModal -->
  <!-- addUserModal * -->
  <div class="modal fade" id="addUserModal" tabindex="-1" role="dialog" aria-labelledby="addUserModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="addUserModalLabel">利用登録する
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </h5>
        </div>
        <div class="modal-body">
          <form>
            <div class="form-group">
              <label for="InputUserAddress">あなたのアドレス</label>
              <input type="text" class="form-control" id="InputUserAddress" placeholder="0x00000000000000" disabled>
              <label for="InputUserName">ユーザー名を入力してください</label>
              <input type="text" class="form-control" id="InputUserName" placeholder="your slack id">
            </div>
          </form>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">閉じる</button>
          <button type="button" class="btn btn-primary btn-adduser">登録する</button>
        </div>
      </div>
    </div>
  </div>
  <!-- * addUserModal -->
</body>

</html>